commit:     57a850cbaa6950f3c274f0b3ac8822ed1a080714
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 00:29:37 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 01:00:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57a850cb

media-libs/jbig2enc: port to EAPI 7

Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/jbig2enc/jbig2enc-0.28-r1.ebuild | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

diff --git a/media-libs/jbig2enc/jbig2enc-0.28-r1.ebuild 
b/media-libs/jbig2enc/jbig2enc-0.28-r1.ebuild
index b1e25014daf..f6949b5e887 100644
--- a/media-libs/jbig2enc/jbig2enc-0.28-r1.ebuild
+++ b/media-libs/jbig2enc/jbig2enc-0.28-r1.ebuild
@@ -1,10 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=7
 
-AUTOTOOLS_AUTORECONF=1
-inherit autotools-utils
+inherit autotools
 
 DESCRIPTION="JBIG2 Encoder and libs"
 HOMEPAGE="https://github.com/agl/jbig2enc";
@@ -13,19 +12,29 @@ SRC_URI="https://github.com/agl/${PN}/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
 LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="amd64 x86 ~ppc-macos"
-
-IUSE="gif jpeg png static-libs tiff webp"
+IUSE="gif jpeg png tiff webp"
 
 RDEPEND="media-libs/leptonica[gif?,jpeg?,png?,tiff?,webp?]"
 DEPEND="${RDEPEND}"
 
-PATCHES=( "${FILESDIR}/${P}-leptonica-1.70.patch" )
+PATCHES=(
+       "${FILESDIR}/${P}-leptonica-1.70.patch"
+)
 
 src_prepare() {
+       default
+
        # remove -Werror
        sed -i -e '/AM_INIT_AUTOMAKE/s/-Werror//' configure.ac || die 'sed on 
configure.ac failed'
        # prevent static linking and QA notice about insecure RUNPATHs
        sed -i -e '/jbig2_LDFLAGS/d' src/Makefile.am || die 'sed on 
src/Makefile.am failed'
 
-       autotools-utils_src_prepare
+       eautoreconf
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+       find "${ED}" -name '*.a' -delete || die
 }

Reply via email to